Index: apps/app_stack.c
===================================================================
--- apps/app_stack.c	(revision 244392)
+++ apps/app_stack.c	(working copy)
@@ -386,6 +386,12 @@
 		else
 			ast_log(LOG_WARNING, "Ouch.  No closing paren: '%s'?\n", (char *)data);
 		AST_STANDARD_RAW_ARGS(args2, tmp);
+		
+		/* We got parentheses, so the caller wanted to pass us something (even though it was empty). */
+		if (args2.argc == 0) {
+			args2.argc = 1;
+			args2.argval[0] = "";
+		}
 	} else
 		args2.argc = 0;
 
